function fxPagar(){
	var cap=gv("CmdAddCuo");
	if(cap=="Pagar"){
		if(!confirm("Esta seguro que desea registrar el pago?")){
			return;
		}
		var pag_reg=gv("CuoPagReg");
		var pag_fec=gv("PagRegFec");
		var pag_ban=gv("PagRegBan");
		var pag_nro_ope=gv("PagRegNroOpe");
		var pag_tot=gv("PagRegTot");
		
		if(jVac(pag_fec,"Ingrese la fecha de pago","PagRegFec"))return true;
		if(!EsFechaEx(pag_fec)){
			return AF("Fecha no valida","PagRegFec");
		}
		if(jVac(pag_ban,"Seleccione el banco","PagRegBan"))return true;
		if(jVac(pag_nro_ope,"Ingrese el numero de operacion","PagRegNroOpe"))return true;
		if(jVac(pag_ban,"Ingrese el total del pago","PagRegTot"))return true;
		if(jVal(pag_reg)!=jVal(pag_tot)){
			alert("El total a pagar debe ser : "+pag_reg);
			jF("PagRegTot");
			return;
		}
		//+++++++
		document.getElementById("CmdAddCuo").disabled=true;
		SM("PAGAR");
	}else{
		if(confirm("Esta seguro que desea deshacer el pago?")){
			SM("PAGAR_KIL");
		}
	}
}
function fxRetReg(){
	var cap=gv("CmdRegRet");
	var tot_ret=gv("CuoPagRet");
	//
	if(cap=="Pagar"){
		if(confirm("Esta seguro que desea registrar el pago?")){
			var ret_fec=gv("PagRetFec");
			var ret_ser_num=gv("PagRetNroOpe");
			var ret_tot=gv("PagRetTot");
			//
			if(jVal(tot_ret)==0){
				alert("Cero retencion por pagar");
				return;
			}
			if(jL(ret_fec)==0){
				return AF("Ingrese la fecha de pago","PagRetFec");
			}
			if(!EsFechaEx(ret_fec)){
				return AF("Fecha no valida","PagRetFec");
			}
			if(jL(ret_ser_num)==0){
				return AF("Ingrese la serie y numero de la retencion","PagRetNroOpe");
			}
			if(jL(ret_tot)==0){
				return AF("Ingrese el monto total de la retencion","PagRetTot");
			}
			//
			if(jVal(ret_tot)!=jVal(tot_ret)){
				return AF("El total no corresponde a la retencion","PagRetTot");
			}
			//
			SM("PAGAR_RET");
		}
	}else{
		if(confirm("Esta seguro que desea deshacer el pago?")){
			SM("PAGAR_RET_KIL");
		}
	}
	
}
function fxClsReg(){
	sv("PagRegFec","");
	sv("PagRegBan","");
	sv("PagRegNroOpe","");
	sv("PagRegTot","");
	sv("PagRegObs","");
	jF("PagRegFec");	
}

function fxClsRet(){
	sv("PagRetFec","");
	sv("PagRetNroOpe","");
	sv("PagRetTot","");
	jF("PagRetFec");
}
//
function fxPagGuardar(){
	//PAGO REGULAR
	var pag_reg=gv("CuoPagReg");
	var pag_fec=gv("PagRegFec");
	var pag_ban=gv("PagRegBan");
	var pag_nro_ope=gv("PagRegNroOpe");
	var pag_tot=gv("PagRegTot");	
	var pagar_son=jL(pag_fec)+jL(pag_ban)+jL(pag_nro_ope)+jVal(pag_tot);
	//PAGO REGULAR
	if(pagar_son>0){
		if(jVac(pag_fec,"Ingrese la fecha del pago regular","PagRegFec"))return true;
		if(!EsFechaEx(pag_fec)){
			return AF("Fecha del pago regular no valida","PagRegFec");
		}
		if(jVac(pag_ban,"Seleccione el banco","PagRegBan"))return true;
		if(jVac(pag_nro_ope,"Ingrese el numero de operacion del pago regular","PagRegNroOpe"))return true;
		if(jVac(pag_tot,"Ingrese el total del pago regular","PagRegTot"))return true;
		if(jVal(pag_reg)!=jVal(pag_tot)){
			alert("El total a pagar del pago regular debe ser : "+pag_reg);
			jF("PagRegTot");
			return;
		}
	}
	//RETENCION	
	var tot_ret=gv("CuoPagRet");
	var ret_fec=gv("PagRetFec");
	var ret_ser_num=gv("PagRetNroOpe");
	var ret_tot=gv("PagRetTot");	
	var pagar_ret_son=jL(ret_fec) + jL(ret_ser_num) +jVal(ret_tot);
	//
	if(pagar_ret_son>0){
		if(jVal(tot_ret)==0){
			alert("Cero retencion por pagar");
			return;
		}
		if(jL(ret_fec)==0){
			return AF("Ingrese la fecha de pago de la retencion","PagRetFec");
		}
		if(!EsFechaEx(ret_fec)){
			return AF("Fecha de pago de la retencion no valida","PagRetFec");
		}
		if(jL(ret_ser_num)==0){
			return AF("Ingrese la serie y numero de la retencion","PagRetNroOpe");
		}
		if(jL(ret_tot)==0){
			return AF("Ingrese el monto total de la retencion","PagRetTot");
		}
		//
		if(jVal(ret_tot)!=jVal(tot_ret)){
			return AF("El total no corresponde a la retencion ","PagRetTot");
		}
	}
	//
	sv("PAGAR_SON",pagar_son);
	sv("PAGAR_RET_SON",pagar_ret_son);
	//
	SM("PAGAR_EX");
}